
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>深入浅出Mybatis系列（一）---Mybatis入门 / iVAN</title>

    <meta name="description" content="深入浅出Mybatis系列（一）---Mybatis入门 深入浅出Mybatis系列(一)---Mybatis入 一.Mybatis环境搭建及简单实例 1. 新建web项目, 添加依赖包:mybatis包.数据库驱动包(我使用的是mysql).日志包(我使用的是log4j), 由于我的是maven项目, 那么添加依赖包就简单了,直接在pom.xml添加依赖即可. pom.xml: &lt;dependencies&gt; &lt;!-- 添加junit --&gt; &lt;dependency&gt; &lt;groupId&gt;junit&lt; ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">深入浅出Mybatis系列（一）---Mybatis入门</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><a href="http://www.cnblogs.com/dongying/p/4031382.html" rel="external nofollow noreferrer">深入浅出Mybatis系列（一）---Mybatis入</a></p>
<p><strong>一、Mybatis环境搭建及简单实例</strong></p>
<p>1. 新建web项目， 添加依赖包：mybatis包、数据库驱动包(我使用的是mysql)、日志包(我使用的是log4j)， 由于我的是maven项目， 那么添加依赖包就简单了，直接在pom.xml添加依赖即可。</p>
<p>pom.xml:</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>&lt;dependencies&gt;
      &lt;!-- 添加junit --&gt;
    &lt;dependency&gt;
      &lt;groupId&gt;junit&lt;/groupId&gt;
      &lt;artifactId&gt;junit&lt;/artifactId&gt;
      &lt;version&gt;4.11&lt;/version&gt;
      &lt;scope&gt;test&lt;/scope&gt;
    &lt;/dependency&gt;

    &lt;!-- 添加log4j --&gt;
    &lt;dependency&gt;
        &lt;groupId&gt;log4j&lt;/groupId&gt;
      &lt;artifactId&gt;log4j&lt;/artifactId&gt;
        &lt;version&gt;1.2.16&lt;/version&gt;
    &lt;/dependency&gt;

    &lt;!-- 添加mybatis --&gt;
    &lt;dependency&gt;
        &lt;groupId&gt;org.mybatis&lt;/groupId&gt;
      &lt;artifactId&gt;mybatis&lt;/artifactId&gt;
        &lt;version&gt;3.2.6&lt;/version&gt;
    &lt;/dependency&gt;

    &lt;!-- 添加mysql驱动 --&gt;
    &lt;dependency&gt;
        &lt;groupId&gt;mysql&lt;/groupId&gt;
        &lt;artifactId&gt;mysql-connector-java&lt;/artifactId&gt;
        &lt;version&gt;5.1.12&lt;/version&gt;
    &lt;/dependency&gt;

  &lt;/dependencies&gt;</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>2. 配置log4j, 配置mybatis</p>
<p>　　在classpath建立一个用于配置log4j的配置文件log4j.properties, 再建立一个用于配置Mybatis的配置文件configuration.xml（文件可随便命名）。log4j的配置，我就不多说，这儿主要说一下configuration.xml:</p>
<p>configuration.xml:</p>
<p>3. 开始写Demo</p>
<p>　　首先，在mysql数据库test1建立一张表user:</p>
<p>　　<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzY3NzcyNy8yMDE0MTAvMTcxNTU1NTE1NjA0MzY0LnBuZw==.jpg"></p>
<p>　　然后，开始编写java代码。</p>
<p>　　看看我的项目结构：</p>
<p>　　<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzY3NzcyNy8yMDE0MTAvMTcxNTQxMDU5OTg0MzEwLnBuZw==.jpg"></p>
<p> </p>
<p>先编写一个实体类User: User类用于与User表相对应。</p>
<p>User:</p>
<p>再编写一个UserDao 接口：</p>
<p>UserDao:</p>
<p>再编写一个userDao-mapping.xml （可随便命名）:</p>
<p>userDao-mapping.xml:</p>
<p>userDao-mapping.xml相当于是UserDao的实现， 同时也将User实体类与数据表User成功关联起来。</p>
<p>4. 下面编写junit测试代码UserDaoTest：</p>
<p>　UserDaoTest:</p>
<p>　</p>
<p>好啦，这样一个简单的mybatis 的demo就能成功运行啦。通过这个demo, 应该你就也能初步看出mybatis的运行机制，如果不清楚，也没关系。从下一篇文章开始，才开始正式讲解mybatis。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 09:03:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%95%b0%e6%8d%ae%e5%ba%93rds/" title="云数据库RDS">云数据库RDS</a>, <a href="https://www.iamivan.net/tag/javamybatis/" title="javamybatis">javamybatis</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>深入浅出Mybatis系列（一）---Mybatis入门的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJqGOwp.html" rel="bookmark">深入浅出Mybatis系列（二）---配置简介（mybatis源码篇）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				深入浅出Mybatis系列(二)---配置简介(mybatis源码篇) 上篇文章&lt;深入浅出Mybatis系列(一)---Mybatis入门&gt;, 写了一个Demo简单体现了一下Mybatis的流程.本次,将简单介绍一下Mybatis的配置文件: 上次例子中,我们以 SqlSessionFactoryBuilder 去创建 SqlSessionFactory,  那么,我们就先从SqlSessionFactoryBuilder入手, 咱们先看看源码是怎么实现的: SqlSessionFactory			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV09RQM.html" rel="bookmark">深入浅出Mybatis系列（三）---配置详解之properties与environments（mybatis源码篇）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				深入浅出Mybatis系列(三)---配置详解之properties与environments(mybatis源码篇) 上篇文章&lt;深入浅出Mybatis系列(二)---配置简介(mybatis源码篇)&gt;我们通过对mybatis源码的简单分析,可看出,在mybatis配置文件中,在configuration根节点下面,可配置properties.typeAliases.plugins.objectFactory.objectWrapperFactory.settings.environments			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBVBGM.html" rel="bookmark">深入浅出Mybatis系列（四）---配置详解之typeAliases别名（mybatis源码篇）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				深入浅出Mybatis系列(四)---配置详解之typeAliases别名(mybatis源码篇) 上篇文章&lt;深入浅出Mybatis系列(三)---配置详解之properties与environments(mybatis源码篇)&gt; 介绍了properties与environments, 本篇继续讲剩下的配置节点之一:typeAliases. typeAliases节点主要用来设置别名,其实这是挺好用的一个功能, 通过配置别名,我们不用再指定完整的包名,并且还能取别名. 例如: 我们在使用 co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNn5NyM.html" rel="bookmark">深入浅出Mybatis系列（八）---mapper映射文件配置之select、resultMap   good</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇&lt;深入浅出Mybatis系列(七)---mapper映射文件配置之insert.update.delete&gt;介绍了insert.update.delete的用法,本篇将介绍select.resultMap的用法.select无疑是我们最常用,也是最复杂的,mybatis通过resultMap能帮助我们很好地进行高级映射.下面就开始看看select 以及 resultMap的用法: 先看select的配置吧: &lt;select &lt;!-- 1. id (必须配置) id是命名空间中的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boK8VVb.html" rel="bookmark">【mybatis深度历险系列】mybatis的框架原理&plus;入门程序解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面的博文中,小编介绍了springmvc的相关知识点,在今天这篇博文中,小编将介绍一下mybatis的框架原理,以及mybatis的入门程序,实现用户的增删改查,她有什么优缺点以及mybatis和hibernate之间存在着怎么样的关系,接下来小编一一进行讲解,希望对小伙伴们有帮助,不足之处,还请多多指教. 什么是mybatis? MyBatis 本是apache的一个开源项目iBatis, 2010年这个项目由apache software foundation 迁移到了google co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32KRkz.html" rel="bookmark">mybatis实战教程&lpar;mybatis in action&rpar;&comma;mybatis入门到精通</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ 目录(?)[-] mybatis实战教程mybatis in action之一开发环境搭建 mybatis实战教程mybatis in action之二以接口的方式编程 mybatis实战教程mybatis in action之三实现数据的增删改查 mybatis实战教程mybatis in action之四实现关联数据的查询 mybatis实战教程mybatis in action之五与spring3集成附源码 mybatis实战教程mybatis in action之六与Spring			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q6VBp.html" rel="bookmark">Mybatis实战教程之入门到精通（经典）&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是mybatis MyBatis是支持普通SQL查询,存储过程和高级映射的优秀持久层框架.MyBatis消除了几乎所有的JDBC代码和参数的手工设置以及结果集的检索.MyBatis使用简单的XML或注解用于配置和原始映射,将接口和Java的POJOs(Plan Old Java Objects,普通的Java对象)映射成数据库中的记录. orm工具的基本思想 无论是用过的hibernate,mybatis,你都可以法相他们有一个共同点: 1. 从配置文件(通常是XML配置文件中)得到 ses			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEEdAz.html" rel="bookmark">Mybatis 开发注解快速入门&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				快速普及 1.mybatis是什么       mybatis是一个支持普通SQL查询,存储过程和高级映射的优秀持久层框架.       MyBatis消除了几乎所有的JDBC代码和参数的手工设置以及对结果集的检索封装.MyBatis可以使用简单的XML或注解用于配置和原始映射,将接口和Java的POJO(Plain Old Java Objects,普通的Java对象)映射成数据库中的记录. Mybatis实现了接口绑定,使用更加方便. 对象关系映射的改进,效率更高 MyBatis采用功能强大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn88mrb.html" rel="bookmark">MyBatis框架之mybatis逆向工程自动生成代码&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mybatis属于半自动ORM,在使用这个框架中,工作量最大的就是书写Mapping的映射文件,由于手动书写很容易出错,我们可以利用Mybatis-Generator来帮我们自动生成文件. 逆向工程 1.什么是逆向工程 mybaits需要程序员自己编写sql语句,mybatis官方提供逆向工程 可以针对单表自动生成mybatis执行所需要的代码(mapper.java,mapper.xml.po..) 企业实际开发中,常用的逆向工程方式: 由于数据库的表生成java代码. 2.下载逆向工程 my			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9E4dM.html" rel="bookmark" class="title">IE浏览器如何禁止访问某个网站</a>
					<div>
						以下操作步骤以IE9浏览器为例,该方法同样适用于其他IE7/IE8版本: 1.打开IE,单击工具图标--Internet选项 2.切换至&quot;内容&quot;选项卡,单击&quot;内容审查程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRLjBz.html" rel="bookmark" class="title">&lbrack;界面UI设计&rsqb;完美网站的101项指标之四</a>
					<div>
						设计|网站 设计体现了一个网站的艺术素养,然而并不是说您应当过分设计,设计风格应结合您的行业,要简洁,清新,优雅,平和,设计仅仅是在用户访问您的内容时获得一种外在印象,不可喧宾夺主.设计应遵循以下原则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz73w5z.html" rel="bookmark" class="title">您了解 PHP 吗？</a>
					<div>
						PHP 的初期 我在大约 10 年前开始开发 PHP.那时在名词&quot;开放源代码&quot;出现且 GPL 和自由软件广为人知之前很久.正如许多已经变得流行的开放源代码项目一样,动机决不是哲学上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW174Ez.html" rel="bookmark" class="title">Photoshop色阶调整图像操作2：轻轻松松点吸管</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOQe5M.html" rel="bookmark" class="title">Asp&period;net数组应用</a>
					<div>
						Response.Write(Array.IndexOf(abc,&quot;3&quot;,1));//在abc数组中查找&quot;3&quot;,从abc[1]开始找 Response.Writ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKl76M.html" rel="bookmark" class="title">php取得字符串首字母的方法</a>
					<div>
						 这篇文章主要介绍了php取得字符串首字母的方法,支持中文字符串的操作,涉及php操作字符串的技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了php取得字符串首字母的方法.分享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1Qmrz.html" rel="bookmark" class="title">格式塔基本原则</a>
					<div>
						格式塔是德文&quot;Gestalt&quot;的译音,意思是&quot;完形&quot;,即具有不同部分分离特性的有机整体.这种整体性应用于心理学中,产生了格式塔心理学,在国内又称作&quot;完 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXZVrp.html" rel="bookmark" class="title">新浪微博媒体版管理后台为何只有&OpenCurlyDoubleQuote;帐号设置&rdquo;和&OpenCurlyDoubleQuote;展示设置&rdquo;？</a>
					<div>
						  部分用户目前使用的是媒体-标准版微博.标准版所具备的功能有限,所以没有&quot;在线爆料&quot;和&quot;在线投稿&quot;两项功能. 如果您需要使用媒体版微博更多的功能,请您联系专员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa10qM.html" rel="bookmark" class="title">pagefile&period;sys文件怎么删除</a>
					<div>
						  当硬盘的空间不足或太小时,我们可以直接把系统设置显示系统隐藏文件,然后我们就可以在系统C盘根目录下看到pagefile.sys文件了,但是不能直接删除,否则在下次开机时系统会出错的. 以下是说一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8Aj0p.html" rel="bookmark" class="title">怎样在Gentoo系统下安装Cacti</a>
					<div>
						Cacti是一款网络流量监测图形分析工具,需要使用PHP语言来实现,安装的时候需要配置数据库,所以不少人在安装的时候遇到了不少问题,下面小编就给大家介绍下在Gentoo系统中要如何安装Cacti. c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3vnJz.html" rel="bookmark" class="title">关于Java集合最被关注的10 个问题</a>
					<div>
						 下面是stackoverflow关于Java集合方面讨论最多的几个问题,在这里整理出来供大家参考. 1.关于LinkList和ArrayList ArrayList:内部实现是个数组,其中的元素可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6ArBz.html" rel="bookmark" class="title">FTP使用手册：怎么将文件上传到阿里云虚拟主机上？</a>
					<div>
						注意,请先到阿里云官网领取幸运券,除了价格上有很多优惠外,还可以参与抽奖.详见:https://promotion.aliyun.com/ntms/act/ambassador/sharetouser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7wYWp.html" rel="bookmark" class="title">12个有趣的C语言问答</a>
					<div>
						0,gets() 方法 Q:以下代码有个被隐藏住的问题,你能找到它吗? A:这个不显眼的问题就是使用了 gets() 方法.此方法接受一个string类型参数,但是却没有检测此数值是否 有足够的空间来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Yr5KM.html" rel="bookmark" class="title">Android 仿联系人列表 实现ListView的A-Z字母排序和过滤搜索功能，并挤压效果</a>
					<div>
						 首先说些这篇文章的初衷是为了给自己打拼留下一些回忆!也为同道减少研究的时间       应公司项目要求实现这个功能,看了网上不少文章,最后参考      xiaanming: http://blog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjneyM.html" rel="bookmark" class="title">ajax加载出的数据的class属性 jquery能用class做选择器吗</a>
					<div>
						问题描述 ajax加载出的数据的class属性 jquery能用class做选择器吗 ajax加载出的数据的class属性 jquery能用class做选择器吗 解决方案 可以,但是ajax加载的内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd5W4b.html" rel="bookmark" class="title">php入门教程&colon;php rtrim&lpar;&rpar;实例教程</a>
					<div>
						php入门教程:php rtrim()实例教程 定义和用法 该rtrim ( )函数将删除空格或其他预先确定的性质从右侧的一个字符串. 语法 rtrim(string,charlist) 参数说明字符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB1KnM.html" rel="bookmark" class="title">程序员-谁能给我讲讲委托，回调函数，多线程，并发，到底是什么意思？</a>
					<div>
						问题描述 谁能给我讲讲委托,回调函数,多线程,并发,到底是什么意思? 尽量通俗一点,最好附上用法.用在哪里?怎么用?为什么?我对这些东西的概念一窍不通,一看到就头大,根本没有办法理解学习... 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRv3Wp.html" rel="bookmark" class="title">easyui-关于easyUI切换tabs的时候，上一个tabs里面打开的dialog如何让它被覆盖</a>
					<div>
						问题描述 关于easyUI切换tabs的时候,上一个tabs里面打开的dialog如何让它被覆盖 我第一个tabs里面打开了一个弹窗dialog,我在切换到第二个tabs的时候想看不到这个dialog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEyw5z.html" rel="bookmark" class="title">从零学Python之入门（五）缩进和选择&lowbar;python</a>
					<div>
						缩进 Python最具特色的是用缩进来标明成块的代码.我下面以if选择结构来举例.if后面跟随条件,如果条件成立,则执行归属于if的一个代码块. 先看C语言的表达方式(注意,这是C,不是Python! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7JemM.html" rel="bookmark" class="title">linux复制文件夹实现方法</a>
					<div>
						Linux复制整个文件夹的文件要使用  -Rf CP命令格式: CP [选项]  源文件或目录   目的文件或目录选项说明: -b 同名,备分原来的文件        -f 强制覆盖同名文件      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QXABp.html" rel="bookmark" class="title">seo优化-如何预测关键词</a>
					<div>
						何谓预测关键词,就是在还没有这个关键词出现的时候,提前想到会出现的关键词,从而更新到网站一个有关这个关键词的内容,当网络上开始有新闻出现包含此类关键词的时,由于你的网站更新的比较早,并且被收录了,因此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo8qnM.html" rel="bookmark" class="title">数学函数库：getrandmax</a>
					<div>
						getrandmax (PHP3 , PHP4) getrandmax ---&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW2R8M.html" rel="bookmark" class="title">网站推广之网站营销方案白皮书</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 瑞锋网络作为潍坊一家有实力的网络公司,倡导网站要有营销功能,要能够带来有效流量,而且有效流量要能转化成订单,这样的营销型网站才有价值.这也是瑞锋在潍坊网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Ym3Dp.html" rel="bookmark" class="title">MSN异常&OpenCurlyDoubleQuote;被隐身&rdquo;：故障并非仅限中国</a>
					<div>
						昨日,有 网友爆料,MSN出现异常现象,好友明明在线,却显示为脱机状态,这也令以MSN为主要通讯工具的用户颇感疑惑.而且用户看到的聊天对象的昵称也没有了,只显示其MSN账号,更为令用户苦恼的是无法传输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Dd83b.html" rel="bookmark" class="title">myeclipse的server视图经常报nullpoint</a>
					<div>
						删除文件位置 workspace.metadata.pluginsorg.eclipse.core.runtime.settings下的com.genuitec.eclipse.ast.deploy. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7dNjp.html" rel="bookmark" class="title">CSS中绝对定位absolute和相对定位relative详解</a>
					<div>
						一.position语法与结构 position语法: position : static absolute relative position参数: static : 无特殊定位,对象遵循HTML定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaWa8b.html" rel="bookmark" class="title">提供给开发者的 20 款最棒的 jQuery Bootstrap 插件 【已翻译100&percnt;】</a>
					<div>
						Twitter Bootstrap 是最流行的前端框架之一,作为开发者用作建立有效和有用的Web应用的手段,它可被看作是网络发展的中坚力量.它功能很丰富:使用12列响应网格,众多组件,JavaScri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6qAmOb.html" rel="bookmark" class="title">BeanFactory 和 ApplicationContext</a>
					<div>
						原文:BeanFactory 和 ApplicationContext   Spring通过一个配置文件描述Bean及Bean直接的依赖关系,利用Java语言的反射功能实例化Bean并建立Bean之间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDjqW6M.html" rel="bookmark" class="title">opengl的编程问题</a>
					<div>
						问题描述 高手看看这个opengl的程序为什么在visualstudio下drawoneline编译不成功呢?#include&lt;glut.h&gt;#include&lt;Windows.h&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWGanb.html" rel="bookmark" class="title">Web3&period;0从内容匮乏到信息收敛</a>
					<div>
						假如从内容层面定义web的版本--文章里有点概念投稿的时候总是比较容易让编辑通过审核的--那么可以说web1.0就是一个内容匮乏的时代,必须由编辑或者专业人士来建设互联网的内容.而web2.0则是一个 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
